Skip to main content
`Ctrl`+`K`

# PETSCLOGHANDLERDEFAULT

PETSCLOGHANDLERDEFAULT = “default” - A `PetscLogHandler` that collects data for PETSc default profiling log viewers (`PetscLogView()` and `PetscLogDump()`). A log handler of this type is created and started (`PetscLogHandlerStart()`) by `PetscLogDefaultBegin()`.

## Options Database Keys

- -log_include_actions - include a growing list of actions (event beginnings and endings, object creations and destructions) in `PetscLogDump()` (`PetscLogActions()`).

- -log_include_objects - include a growing list of object creations and destructions in `PetscLogDump()` (`PetscLogObjects()`).

## See Also

Profiling, `PetscLogHandler`

## Level

developer

## Location

src/sys/logging/handler/impls/default/logdefault.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages